Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ccl.jcf
Interface TypeDescriptorConstants

All Known Implementing Classes:
  TypeDescriptor, TypeDescriptorTokenManager

public interface TypeDescriptorConstants

Field Summary
`static int` | `ARRAY`
`static int` | `BOOLEAN`
`static int` | `BYTE`
`static int` | `CHAR`
`static int` | `CLASS`
`static int` | `DEFAULT`
`static int` | `DOUBLE`
`static int` | `EOF`
`static int` | `FLOAT`
`static int` | `INT`
`static int` | `LONG`
`static int` | `SEMICOLON`
`static int` | `SHORT`
`static java.lang.String[]` | `tokenImage`

Field Detail

### EOF

    public static final int EOF

See Also:
  Constant Field Values

### BYTE

    public static final int BYTE

See Also:
  Constant Field Values

### CHAR

    public static final int CHAR

See Also:
  Constant Field Values

### DOUBLE

    public static final int DOUBLE

See Also:
  Constant Field Values

### FLOAT

    public static final int FLOAT

See Also:
  Constant Field Values

### INT

    public static final int INT

See Also:
  Constant Field Values

### LONG

    public static final int LONG

See Also:
  Constant Field Values

### SHORT

    public static final int SHORT

See Also:
  Constant Field Values

### BOOLEAN

    public static final int BOOLEAN

See Also:
  Constant Field Values

### CLASS

    public static final int CLASS

See Also:
  Constant Field Values

### ARRAY

    public static final int ARRAY

See Also:
  Constant Field Values

### SEMICOLON

    public static final int SEMICOLON

See Also:
  Constant Field Values

### DEFAULT

    public static final int DEFAULT

See Also:
  Constant Field Values

### tokenImage

    public static final java.lang.String[] tokenImage

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD